petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatIsTranspose

Test whether a matrix is another one's transpose, or its own, in which case it tests symmetry.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatIsTranspose(Mat A,Mat B,PetscReal tol,PetscBool  *flg)

Collective on Mat Many br

### Input Parameter

| A | - the matrix to test Many br
| B | - the matrix to test against, this can equal the first parameter Many br

### Output Parameters

flg -the result Many br

### Notes

Only available for SeqAIJ/MPIAIJ matrices. The sequential algorithm Many brhas a running time of the order of the number of nonzeros; the parallel Many brtest involves parallel copies of the block-offdiagonal parts of the matrix. Many br

Many br

### See Also

MatTranspose(), MatIsSymmetric(), MatIsHermitian()

Level:intermediate
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages